Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 161091 - "Edit as New" inserts extra spaces
: "Edit as New" inserts extra spaces
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: All All
: -- normal with 2 votes (vote)
: ---
Assigned To: Jean-Francois Ducarroz
: esther
: 207616 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2002-08-05 04:31 PDT by Ivo Jansch
Modified: 2008-07-31 01:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Ivo Jansch 2002-08-05 04:31:07 PDT
If I write a message, then later do an "edit as new" on the message in the sent
folder, one extra space is added to each line that begins with at least one space.

I'm using: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606, but
I noticed it on older versions too.

Steps to reproduce:

1. compose a msg with the following body:


2. Send the message to yourself
3. Either do an 'Edit as New' on the received msg, or on the sent message in the
   'Sent' folder.
4. The body in the composer now contains:


If you send it again, then perform another edit as new, it will contain 3
spaces, etc..

Tried to find duplicates of this bug, couldn't find any.
Comment 1 Frederic Bezies 2002-08-05 05:44:47 PDT
Confirming this bug ! Weird !

I seen it with trunk build 2002080404 - WinXP.
Comment 2 Kathleen Brade 2002-10-09 12:16:36 PDT
Akkana--is this a problem something Tanu should investigate or is mail doing
something specific (that you know of)

JFD--This sounds like a duplicate of other bugs with summaries of: Edit as New
Comment 3 Sverre Slotte 2002-12-13 03:57:39 PST
This bug also shows up when forwarding a message containing lines beginning with
one or more spaces. This using Mozilla 1.2.1 on Windows 2000.
Comment 4 Olivier Miakinen 2003-01-06 04:56:14 PST
This bug also shows up whenever I write a new message, and let at least one
space at the beginning of a new line : each line with at least one heading space
will have one additional space once transmitted.

I saw this bug in all the versions of Mozilla and Netscape I tried, i.e.
- Mozilla 1.0
- Mozilla 1.2.1
- Netscape 7.0
- Netscape 7.01

Please note that I hate HTML in mail and news, and I want to see a plain text
mail exactly as it is, thus I unckecked "Compose messages in HTML format", and I
have the following lines in my user.js :

user_pref("mail.quoted_graphical", false); 
user_pref("mail.quoteasblock", false);
user_pref("mailnews.display.disable_format_flowed_support", true);

P.S.: see also bug 153807.
Comment 5 Ranjit Mathew 2003-06-04 04:44:27 PDT
Another irritating "feature" of this bug is that when the sent mail
is seen within Mozilla Mail itself, one doesn't see the problem - only
if one does a "View Source" on the message does one see the problem!

This bug makes it impossible to send source patches (as diffs)
using Mozilla Mail!
Comment 6 Olivier Miakinen 2003-06-04 05:38:58 PDT
Oh ! Maybe it's the reason why there are so few votes for this bug.
Probably we should open a new bug for showing all mails in plain text by
default, without any "rich text" or "html"!

With my user preferences, I always see the bug, without any View Source:

user_pref("mail.quoted_graphical", false); 
user_pref("mail.quoteasblock", false);
user_pref("mailnews.display.disable_format_flowed_support", true);

Comment 7 Akkana Peck 2003-06-04 11:39:34 PDT
If this is a format=flowed problem, you're missing one important pref:
user_pref("mailnews.send_plaintext_flowed", false);
See bug 168420 for more info, in particular the f=f FAQ which is attached to
that bug.  Also take a look at the dependency tree for that bug, since this may
be a dup  of a bug that's already had lots of discussion/flameage.
Comment 8 Olivier Miakinen 2003-06-04 15:37:18 PDT
Merci beaucoup !

This was indeed a format=flowed problem. I suggest that, after checking, bug
161091 and bug 153807 be marked as dups of one f=f bug.

Comment 9 Boris 'pi' Piwinger 2003-06-10 01:42:34 PDT
Could be a dupe of bug 155622. Please check and mark accordingly.

Comment 10 Mike Cowperthwaite 2003-06-19 10:26:23 PDT
*** Bug 207616 has been marked as a duplicate of this bug. ***
Comment 11 Rikkert Nachtegaal 2003-06-25 04:40:52 PDT
Looks like it has been fixed in the RC3 of mozilla 1.4.
Comment 12 Mike Cowperthwaite 2003-07-26 10:34:53 PDT
I agree, this bug appears to have been fixed in 1.4.  Reporter (Ivo), feel free 
to reopen this if you're still having problems.
Comment 13 Ivo Jansch 2003-08-21 05:36:24 PDT
Indeed, it works now. Although I am not the QA for this bug, I verified that it
works now, so I'm setting it to 'verified' (I hope that's not against policy)

Note You need to log in before you can comment on or make changes to this bug.